Bug 1310846 - The virt.uuid fact value 'Unknown' is not Unknown on a pSeries 'ppc64' platform. expected:<true> but was:<false>
The virt.uuid fact value 'Unknown' is not Unknown on a pSeries 'ppc64' platfo...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: candlepin-bugs
John Sefler
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 14:27 EST by John Sefler
Modified: 2017-12-06 06:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:46:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sos report from ibm-p8-03-lp7.rhts.eng.bos.redhat.com (50.39 KB, application/x-xz)
2016-02-22 14:28 EST, John Sefler
no flags Details
rhsm-debug-system-20160223-157942.tar.gz (38.70 KB, application/x-gzip)
2016-02-23 15:55 EST, John Sefler
no flags Details

  None (edit)
Description John Sefler 2016-02-22 14:27:13 EST
Description of problem:
As we learned in bug 1300816, a "pSeries" ppc64 platform should be regarded as a guest system and therefore have a non-Unknown virt.uuid fact.

An automated test was assembled to assert this test, but it failed on the ppc64 system shown below...

ssh root@ibm-p8-03-lp7.rhts.eng.bos.redhat.com subscription-manager facts --list | grep --text "proc_cpuinfo.common"
proc_cpuinfo.common.machine: CHRP IBM,8247-22L
proc_cpuinfo.common.model: IBM,8247-22L
proc_cpuinfo.common.platform: pSeries

ssh root@ibm-p8-03-lp7.rhts.eng.bos.redhat.com subscription-manager facts --list | grep --text "virt.uuid"
virt.uuid: Unknown                <=====  EXPECTED A REAL UUID


The ppc64 machine reserved for this test was: 


Version-Release number of selected component (if applicable):
subscription-manager-1.16.8-2.el6.ppc64
python-rhsm-1.16.6-1.el6.ppc64


Additional info:
https://rhsm-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/rhsm-rhel-6.8-AllDistros-AcceptanceTests/PLATFORM=RedHatEnterpriseLinux6-Server-ppc64,label=rhsm/30/TestNG_Report/

https://beaker.engineering.redhat.com/jobs/1234845

https://beaker.engineering.redhat.com/view/ibm-p8-03-lp7.rhts.eng.bos.redhat.com#essentials
Comment 1 John Sefler 2016-02-22 14:28 EST
Created attachment 1129469 [details]
sos report from ibm-p8-03-lp7.rhts.eng.bos.redhat.com
Comment 2 John Sefler 2016-02-23 15:55 EST
Created attachment 1129915 [details]
rhsm-debug-system-20160223-157942.tar.gz

Here's another pSeries ppc64 system from beaker that shows an Unknown virt.uuid fact...

      Beaker Test information:
                         HOSTNAME=ibm-p8-04-lp8.rhts.eng.bos.redhat.com
                            JOBID=1237244
                         RECIPEID=2506952
                    RESULT_SERVER=127.0.0.1:7089
                           DISTRO=RHEL-6.8-20160212.2
                     ARCHITECTURE=ppc64


[root@ibm-p8-04-lp8 ~]# rpm -q subscription-manager
subscription-manager-1.16.8-2.el6.ppc64


[root@ibm-p8-04-lp8 ~]# subscription-manager facts --list | egrep "proc_cpuinfo|virt"
proc_cpuinfo.common.machine: CHRP IBM,8247-22L
proc_cpuinfo.common.model: IBM,8247-22L
proc_cpuinfo.common.platform: pSeries
virt.host_type: Not Applicable
virt.is_guest: False
virt.uuid: Unknown
[root@ibm-p8-04-lp8 ~]# 
[root@ibm-p8-04-lp8 ~]# rhsm-debug system
Wrote: /tmp/rhsm-debug-system-20160223-157942.tar.gz
Comment 3 John Sefler 2016-02-23 15:58:31 EST
continuation of comment 2

[root@ibm-p8-04-lp8 ~]# lparstat -i
Node Name                                    : ibm-p8-04-lp8.rhts.eng.bos.redhat.com
Partition Name                               : lp8
Partition Number                             : 9
Type                                         : Dedicated
Mode                                         : Capped
Entitled Capacity                            : 2.00
Partition Group-ID                           : 32777
Online Virtual CPUs                          : 2
Maximum Virtual CPUs                         : 20
Minimum Virtual CPUs                         : 1
Online Memory                                : 24511680 kB
Minimum Memory                               : 256
Minimum Capacity                             : 1.00
Maximum Capacity                             : 20.00
Capacity Increment                           : 1.00
Active Physical CPUs in system               : 20
Active CPUs in Pool                          : 0
Shared Physical CPUS in system               : 0
Maximum Capacity of Pool                     : 0.00
Entitled Capacity of Pool                    : 0
Unallocated Processor Capacity               : 0
Physical CPU Percentage                      : 100
Unallocated Weight                           : 0
Memory Mode                                  : Shared
Total I/O Memory Entitlement                 : 25769803776
Variable Memory Capacity Weight              : 0
Memory Pool ID                               : 65535
Unallocated Variable Memory Capacity Weight  : 0
Unallocated I/O Memory Entitlement           : 0
Memory Group ID of LPAR                      : 32777
Desired Variable Capacity Weight             : 0
Comment 5 Jan Kurik 2017-12-06 06:46:54 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.